{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        storeConfig:{
            //Client:{routeName:'BaseController-getComboValues',table:'clients'/*,options:{where:'O'}*/}
            //,ClientG:{routeName:'BaseController-getComboValues',table:'clients'/*,options:{where:'O'}*/}
        },
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            t.stores.faultgroupcode=new mj.store({
                data:[{id:'c_e',code:'İstasyon Elektrik'},{id:'c_m',code:'İstasyon Mekanik'},{id:'m',code:'Kalıp-Fikstür-Aparat'},{id:'p',code:'Üretim'}]
            });
            t.stores.faultgroupcodeG=new mj.store({
                data:[{id:'c_e',code:'İstasyon Elektrik'},{id:'c_m',code:'İstasyon Mekanik'},{id:'m',code:'Kalıp-Fikstür-Aparat'},{id:'p',code:'Üretim'}]
            });
            const gridConfig = {
                cm: [
                    {header: "{{ 'FaultType.code'|trans }}", dataIndex: 'code', width: 100,filter:'between',alias:'ft'},
                    {header: "{{ 'FaultType.description'|trans }}", dataIndex: 'description', width: 250,filter:'between',alias:'ft'},
                    {header: "{{ 'FaultType.client'|trans }}", dataIndex: 'client', width: 100,filter:'single', type:'combo',store:t.extras.clients,alias:'ft',operator:'='},
                    {header: "{{ 'FaultType.faultgroupcode'|trans }}", dataIndex: 'faultgroupcode', width: 200,filter:'single', type:'combo',store:t.stores.faultgroupcodeG,sameValueDisplay:true,alias:'ft',operator:'='}
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.field({
                        dataIndex: 'version',
                        hidden: true
                    }),
                    new mj.form.textField({
                        title: "{{ 'FaultType.code'|trans }}",
                        dataIndex: 'code',
                        maxLength: 50,
                        labelWidth : '120px',
                        width:200,
                        grid: 's4 m2'
                    }),
                    new mj.form.textField({
                        title: "{{ 'FaultType.description'|trans }}",
                        dataIndex: 'description',
                        maxLength: 255,
                        labelWidth : '120px',
                        width:200,
                        grid: 's12 m6'
                    }),
                    new mj.form.combo({
                        title: "{{ 'FaultType.client'|trans }}",
                        placeHolder: "{{ 'FaultType.client_placeholder'|trans }}",
                        dataIndex: 'client',
                        mode: 'local',
                        clearOnTriggerClick: true,
                        labelWidth : '120px',
                        grid: 's6 m4',
                        store: t.extras.clients
                    }),
                    new mj.form.combo({
                        title: "{{ 'FaultType.faultgroupcode'|trans }}",
                        placeHolder: "{{ 'FaultType.faultgroupcode_placeholder'|trans }}",
                        dataIndex: 'faultgroupcode',
                        mode: 'local',
                        clearOnTriggerClick: true,
                        labelWidth : '120px',
                        grid: 's6 m4',
                        store: t.stores.faultgroupcode
                    }),
                    new mj.form.dateField({
                        title: "{{ 'FaultType.start'|trans }}",
                        dataIndex: 'start',
                        labelWidth : '120px',
                        notEmpty: true,
                        grid: 's4 m2'
                    }),
                    new mj.form.dateField({
                        title: "{{ 'FaultType.finish'|trans }}",
                        dataIndex: 'finish',
                        labelWidth : '120px',
                        grid: 's4 m2'
                    })
                ]
            };
            t._setFormConfig(formConfig);

        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
